
Figure - Bug #117143
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH:
com.android.documentsui:com.android.documentsui.services（1）
2023-03-24 11:37 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-24

Priority: Normal Due date: 2023-03-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

Reproducibility: Every time Fixed Version: 2023-03-30

Test Type: ST Root cause: 编码问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

CRASH: com.android.documentsui:com.android.documentsui.services (pid 7848)

// Short Msg: java.lang.NumberFormatException

// Long Msg: java.lang.NumberFormatException: For input string: "msf:146" 

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2563:user/test-keys

// Build Changelist: 2563

// Build Time: 1679424085000

// java.lang.NumberFormatException: For input string: "msf:146" 

//     at java.lang.Long.parseLong(Long.java:594)

//     at java.lang.Long.valueOf(Long.java:808)

//     at com.android.documentsui.util.FileUtils.getFilePathByUri(FileUtils.java:56)

//     at com.android.documentsui.services.FileOperationService.checkDeleteResult(FileOperationService.java:593)

//     at com.android.documentsui.services.FileOperationService.cleanUpNotification(FileOperationService.java:469)

//     at com.android.documentsui.services.FileOperationService.lambda$onFinished$0(FileOperationService.java:423)

//     at com.android.documentsui.services.FileOperationService.$r8$lambda$055AYgx3B_x86IfVHJiTE-ZNMPo(Unknown Source:0)

//     at com.android.documentsui.services.FileOperationService$$ExternalSyntheticLambda2.run(Unknown Source:4)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 
【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117142

History

#1 - 2023-03-28 10:39 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-03-29 15:24 - CD APP-王营

- Due date set to 2023-03-29

#3 - 2023-03-29 19:48 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

根据uri 删除file的判定问题，解决方案是不去uri转file，直接根据uri删除文件即可

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/DocumentsUI/+/190796

#4 - 2023-03-29 20:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

190796 general/platform/packages/apps/Docu

mentsUI

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:DocumentsUI:fixed documentsui crash1.fixed delete uri is success or notTC-RID: 0301-0300801IssueID: TS-R-BUG-117143Change-Id:

I75100c4458f75f97b6cf282b5b8e212a50350ca2

#5 - 2023-03-29 20:04 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-30

- Root cause set to 编码问题

#6 - 2023-04-03 11:39 - CD TEST-方永红

3.31、4.1版本未复现

#7 - 2023-04-06 10:55 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED
4.6

4.4的0088版本未复现

先关闭此问题

#8 - 2023-04-06 10:55 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0088.C102(X102)

Files

error.txt 96.3 KB 2023-03-24 CD TEST-方永红
